Debian Bug report logs - #402989
ITA: lush -- Lisp Universal Shell Executable

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: daniel@debian.org

Date: Thu, 14 Dec 2006 00:18:36 UTC

Owned by: Yaroslav Halchenko <debian@onerussian.com>

Severity: normal

Fixed in version lush/1.2.1-4

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#402989; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: submit@bugs.debian.org
Subject: O: lush -- Lisp Universal Shell Executable
Date: Thu, 14 Dec 2006 00:50:22 +0100
Package: wnpp

I'm orphaning lush, I do not use it anymore.

The package is in good state, but it has a nasty FTBFS on alpha (should
be easy to fix, though). Upstream is not very active, but alive.

If you are a non-DD maintainer willing to adopt it and in need of a
sponsor, go ahead and I will sponsor your uploads of course.

If the package is not beeing adopted withing two weeks, I will ask for
its removal.


If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: lush
Priority: extra
Section: devel
Installed-Size: 1664
Maintainer: Daniel Baumann <daniel@debian.org>
Architecture: amd64
Version: 1.2.1-1
Depends: lush-library (>= 1.2.1-1)
Filename: pool/main/l/lush/lush_1.2.1-1_amd64.deb
Size: 610076
MD5sum: 3ebbe023dad2d60b358ab608ab30726c
SHA1: c95338bdf6f7798b04fb931d8a75ab6d538256f9
SHA256: 23d4d8a6c333580726fa67072d92998cf60969b386d13453c2ecf170d9a4dbfa
Description: Lisp Universal Shell Executable
 Lush is a programming language and environment that is based on the
 Lisp programming language. The lush language is small compared to ANSI
 Common Lisp and is optimized for numeric calculations. Lush includes a
 libraries for numerical analysis and building graphical user
 interfaces.
 .
 This package contains the binary executable.
Tag: devel::{compiler,lang:c,lang:lisp}, interface::shell,
role::program, scope::utility

Package: lush-library
Priority: extra
Section: devel
Installed-Size: 22508
Maintainer: Daniel Baumann <daniel@debian.org>
Architecture: all
Source: lush
Version: 1.2.1-1
Depends: python
Recommends: lush (>= 1.2.1-1)
Filename: pool/main/l/lush/lush-library_1.2.1-1_all.deb
Size: 4727792
MD5sum: 18920c7345d3be35543804db15b238c0
SHA1: dca4f6971a67c7527d9d21882babd69df208e45c
SHA256: ec25304b0fa02280b26649c22824f3cca0a07ac36be5fe5c02ae7c7a838d951c
Description: Lisp Universal Shell Library
 Lush is a programming language and environment that is based on the
 Lisp programming language. The lush language is small compared to ANSI
 Common Lisp and is optimized for numeric calculations. Lush includes a
 libraries for numerical analysis and building graphical user
 interfaces.
 .
 This package contains the libraries for the lush package.
Tag: devel::lang:lisp, implemented-in::lisp, role::app-data

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Changed Bug title. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Yaroslav Halchenko <debian@onerussian.com>. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 402989-close@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 402989-close@bugs.debian.org
Subject: Bug#402989: fixed in lush 1.2.1-4
Date: Mon, 08 Jan 2007 00:47:05 +0000
Source: lush
Source-Version: 1.2.1-4

We believe that the bug you reported is fixed in the latest version of
lush, which is due to be installed in the Debian FTP archive:

lush-library_1.2.1-4_all.deb
  to pool/main/l/lush/lush-library_1.2.1-4_all.deb
lush_1.2.1-4.diff.gz
  to pool/main/l/lush/lush_1.2.1-4.diff.gz
lush_1.2.1-4.dsc
  to pool/main/l/lush/lush_1.2.1-4.dsc
lush_1.2.1-4_i386.deb
  to pool/main/l/lush/lush_1.2.1-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 402989@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yaroslav Halchenko <debian@onerussian.com> (supplier of updated lush package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  7 Jan 2007 14:03:44 -0500
Source: lush
Binary: lush-library lush
Architecture: source i386 all
Version: 1.2.1-4
Distribution: unstable
Urgency: low
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Changed-By: Yaroslav Halchenko <debian@onerussian.com>
Description: 
 lush       - Lisp Universal Shell Executable
 lush-library - Lisp Universal Shell Library
Closes: 312081 336570 402989
Changes: 
 lush (1.2.1-4) unstable; urgency=low
 .
   * New maintainer. (Closes: #402989: ITA: lush -- Lisp Universal Shell
     Executable - Debian Bug report logs)
   * Moved copying of config.{sub,guess} under rule autotools, which has to be
     manually invoked to provide deterministic update of those files and to
     don't freak out svn-buildpackage. TODO: Need to clarify since that
     statement was added by dh_make
   * Tiny adjustment of debian/copyright file
   * Added homepage to the description in debian/control
   * Multiple changes within debian/rules
   * Added proper Build-Depends, which includes libxt-dev and others necessary
     to build lush so it could run demos (Closes: #336570)
   * Added development packages for on-fly-compilation done by lush into
     Recommends and Suggests, depending on how common they are. libcv-dev was
     added to Suggests (Closes: #312081)
   * Ship and properly enable lush.el along with lush-library package to
     enable lush command within emacs
   * Mentioned demos in README.Debian
   * Adjusted paths in the manpage patch
   * More things to do in future. But enough for current upload I hope
Files: 
 01bf566c7b464143ec7a8de4c460094d 800 devel extra lush_1.2.1-4.dsc
 e4e316ec6296fe22a0a27d232ef1aa9a 32799 devel extra lush_1.2.1-4.diff.gz
 477995aa7c6a36d2f6870ee072b0c795 4702434 devel extra lush-library_1.2.1-4_all.deb
 aa9c3c481d3e10a7ad9360ede47ce16f 646904 devel extra lush_1.2.1-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFoYrijRFFY3XAJMgRAgb8AKCe/dsI0k4G1vLjR8zIb5WVu6A6GwCgnMrf
xyM7aHzz/7Q3Nhj9sUa8RTg=
=bPq2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:46:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:46:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.